# collada.util

This module contains utility functions

Functions

`checkSource`(source, components, maxindex) | Check if a source objects complies with the needed components and has the needed length
`dot_v3`(arr1, arr2) | Calculates the dot product for each vector in two arrays
`falmostEqual`(a, b[, rtol, atol]) | Checks if the given floats are almost equal.
`normalize_v3`(arr) | Normalize a numpy array of 3 component vectors with shape (N,3)
`toUnitVec`(vec) | Converts the given vector to a unit vector

Classes

`IndexedList`(items, attrs) | Class that combines a list and a dict into a single class